#!/bin/bash

# Must be root
if test "`/usr/bin/id -u`" != 0 ; then
    echo "$0: You must be root to run this script" >& 2
    exit 1
fi

INSTALL_PATH=/usr/share/openkeeper
CONFIG_PATH=$INSTALL_PATH/config

# stop pppoe progress
pppoe-stop

# clean up history
rm -rf $CONFIG_PATH
rm -f $INSTALL_PATH/Netkeeper.dat
rm -f $INSTALL_PATH/pppoe.conf-tmp
rm -f $INSTALL_PATH/pap-secrets-tmp
cp -f $INSTALL_PATH/pppoe.conf /etc/ppp
cp -f $INSTALL_PATH/pap-secrets /etc/ppp
echo "处理完毕，openkeeper重置成功，重新配置请用ok-config命令"

exit 0
